Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET chats/queues

Ostatnia modyfikacja 2026-05-18 13:56:05

Zwraca listę kolejek czatów.

URL

https://your-system-name.thulium.com/api/chats/queues

Przykładowy request

GET https://your-system-name.thulium.com/api/chats/queues

Przykładowy response

[
  {
    "chat_queue_id": 3,
    "name": "BOK",
    "display_name": null
  },
  {
    "chat_queue_id": 4,
    "name": "service",
    "display_name": "Service queue"
  }
]

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/chats/queues');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/chats/queues");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/chats/queues"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/chats/queues Accept:application/json